"use strict";
/* Alas, poor Yorick, I... didn't really write anything for him */
var GO_Yorick = function(){
	this.sprite = new Sprite(GO_Yorick.spriteSheet,"Yorick");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.GROUND | 
		DEFINE_SPRITE_COLLISION_FLAGS.AIR |
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_ACTIVE |
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	//this.sprite.setBoundingBox(4,0,11,15);
	this.sprite.setBoundingBox(0,0,15,15); // not going to be moving and ejecting, so it's more valuable to have a big checkbox
	this.sprite.game_object = this; // no longer a generic GO
};
GO_Yorick.spriteImg = SDS_Load_Image("art/sheets/sprite/keeper3.png");
GO_Yorick.spriteSheet = new TileSheet(4, 4, 1, 0, GO_Yorick.spriteImg);

GO_Yorick.prototype = new GameObject(
	new Sprite(
		GO_Yorick.spriteSheet,
		"Yorick"
	),
	"Yorick"
	);

	GO_Yorick.prototype.interactions = 
		DEFINE_GAMEOBJECT_INTERACTIONS.CHECK;

	GO_Yorick.prototype.checkEvent = function(sourceGO){
		return "c3_shrinekeeper";
	};

	GO_Yorick.prototype.Update = function(){
		this.sprite.frame = 0;
	};
